Bug 478090 - MIGRATED_FROM_JIRA: MX4J issue with Java 1.5 Penrose 0.9.6
MIGRATED_FROM_JIRA: MX4J issue with Java 1.5 Penrose 0.9.6
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:58 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:58:19 EST
Apon server startup, I see the following:

bash-2.05# more penrose.out
[14/10/2005 14:23:03] mx4j.tools.config.ConfigurationException
mx4j.tools.config.ConfigurationException
javax.management.ReflectionException: The MBean class could not be loaded by the context classloader
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(MBeanInstantiatorImpl.java:432)
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.findClass(MBeanInstantiatorImpl.java:72)
        at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(DefaultMBeanServerInterceptor.java:279)
        at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(DefaultMBeanServerInterceptor.java:227)
        at com.sun.jmx.mbeanserver.JmxMBeanServer.createMBean(JmxMBeanServer.java:463)
        at mx4j.tools.config.DefaultConfigurationBuilder$Create.configure(DefaultConfigurationBuilder.java:548)
        at mx4j.tools.config.DefaultConfigurationBuilder$Startup.configure(DefaultConfigurationBuilder.java:294)
        at mx4j.tools.config.DefaultConfigurationBuilder$Configuration.startup(DefaultConfigurationBuilder.java:168)
        at mx4j.tools.config.DefaultConfigurationBuilder$Configuration.configure(DefaultConfigurationBuilder.java:151)
        at mx4j.tools.config.ConfigurationLoader.startup(ConfigurationLoader.java:90)
        at org.safehaus.penrose.PenroseServer.runJmx(PenroseServer.java:152)
        at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:256)
Caused by: java.lang.ClassNotFoundException: mx4j/tools/adaptor/http/HttpAdaptor
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:164)
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(MBeanInstantiatorImpl.java:429)
        ... 11 more
[14/10/2005 14:23:03] Penrose Server is ready.


Configuration cannot be saved into the server...
Additional Comments From jimyang dated Tue Oct 18 12:00:08 CDT 2005 
One solution is to modify penrose.sh and append "-Djavax.management.builder.initial=mx4j.server.MX4JMBeanServerBuilder" to this line 

exec "$JAVACMD" $PENROSE_DEBUG_OPTS $PENROSE_OPTS -classpath "$LOCALCLASSPATH" -Djavax.management.builder.initial=mx4j.server.MX4JMBeanServerBuilder -Dpenrose.home="$PENROSE_HOME" org.safehaus.penrose.PenroseServer $PENROSE_ARGS "$@" >> "$PENROSE_HOME/var/penrose.out" 2>&1 &

It's been documented here too. http://jira.codehaus.org/browse/LOOM-78 for detail..

Additional Comments From endisd dated Tue Oct 18 12:14:37 CDT 2005 
This is a duplicate of PENROSE-100 which has been fixed in 0.9.7.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            }
                          ],
          'reporter' => 'wazzag',
          'key' => 'PENROSE-101',
          'assignee' => 'endisd',
          'summary' => 'MX4J issue with Java 1.5  Penrose 0.9.6',
          'id' => '10293',
          'updated' => '2007-03-23 19:31:20.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-10-17 00:00:00.0',
                             'sequence' => '7',
                             'name' => 'Penrose-0.9.7',
                             'released' => 'true',
                             'id' => '10033',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Apon server startup, I see the following:

bash-2.05# more penrose.out
[14/10/2005 14:23:03] mx4j.tools.config.ConfigurationException
mx4j.tools.config.ConfigurationException
javax.management.ReflectionException: The MBean class could not be loaded by the context classloader
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(MBeanInstantiatorImpl.java:432)
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.findClass(MBeanInstantiatorImpl.java:72)
        at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(DefaultMBeanServerInterceptor.java:279)
        at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.createMBean(DefaultMBeanServerInterceptor.java:227)
        at com.sun.jmx.mbeanserver.JmxMBeanServer.createMBean(JmxMBeanServer.java:463)
        at mx4j.tools.config.DefaultConfigurationBuilder$Create.configure(DefaultConfigurationBuilder.java:548)
        at mx4j.tools.config.DefaultConfigurationBuilder$Startup.configure(DefaultConfigurationBuilder.java:294)
        at mx4j.tools.config.DefaultConfigurationBuilder$Configuration.startup(DefaultConfigurationBuilder.java:168)
        at mx4j.tools.config.DefaultConfigurationBuilder$Configuration.configure(DefaultConfigurationBuilder.java:151)
        at mx4j.tools.config.ConfigurationLoader.startup(ConfigurationLoader.java:90)
        at org.safehaus.penrose.PenroseServer.runJmx(PenroseServer.java:152)
        at org.safehaus.penrose.PenroseServer.main(PenroseServer.java:256)
Caused by: java.lang.ClassNotFoundException: mx4j/tools/adaptor/http/HttpAdaptor
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:164)
        at com.sun.jmx.mbeanserver.MBeanInstantiatorImpl.loadClass(MBeanInstantiatorImpl.java:429)
        ... 11 more
[14/10/2005 14:23:03] Penrose Server is ready.


Configuration cannot be saved into the server...',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-09-30 00:00:00.0',
                                 'sequence' => '6',
                                 'name' => 'Penrose-0.9.6',
                                 'released' => 'true',
                                 'id' => '10032',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2005-10-14 09:38:34.0',
          'environment' => 'Server - Solaris 9, Java 1.5
Studio - Windows 2K',
          'resolution' => '3',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:58:21 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-101

Note You need to log in before you can comment on or make changes to this bug.